Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-2.dot
@@ -13,32 +13,39 @@ digraph "g" {
 "group2_start_0" -> "rsc5_start_0 node2" [ style = bold]
 "group2_start_0" -> "rsc6_start_0 node2" [ style = bold]
 "group2_start_0" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" -> "group1_running_0" [ style = bold]
 "rsc3_start_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" -> "group1_running_0" [ style = bold]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc5_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc5_monitor_0 node2" -> "rsc5_start_0 node2" [ style = bold]
 "rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc5_start_0 node2" -> "group2_running_0" [ style = bold]
 "rsc5_start_0 node2" -> "rsc6_start_0 node2" [ style = bold]
 "rsc5_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc6_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc6_monitor_0 node2" -> "rsc6_start_0 node2" [ style = bold]
 "rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node2" -> "group2_running_0" [ style = bold]
 "rsc6_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' node1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node1" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node2" -> "stonith-1_start_0 node2" [ style = bold]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-2.exp
@@ -275,6 +275,27 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="24" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-4.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-4.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-4.dot
@@ -1,12 +1,14 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -17,6 +19,7 @@ digraph "g" {
 "stonith 'reboot' node1" -> "rsc2_stop_0 node1" [ style = bold]
 "stonith 'reboot' node1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node1" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node2" -> "stonith-1_start_0 node2" [ style = bold]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-4.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-4.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-4.exp
@@ -124,6 +124,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-6.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-6.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-6.dot
@@ -1,12 +1,14 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -17,6 +19,7 @@ digraph "g" {
 "stonith 'reboot' node1" -> "rsc2_stop_0 node1" [ style = bold]
 "stonith 'reboot' node1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node1" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node2" -> "stonith-1_start_0 node2" [ style = bold]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-6.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-6.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-6.exp
@@ -124,6 +124,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-7.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-7.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-7.dot
@@ -1,12 +1,14 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="orange" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -17,6 +19,7 @@ digraph "g" {
 "stonith 'reboot' node1" -> "rsc2_stop_0 node1" [ style = bold]
 "stonith 'reboot' node1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node1" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node2" -> "stonith-1_start_0 node2" [ style = bold]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-7.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-7.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-7.exp
@@ -124,6 +124,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-8.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-node-8.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-node-8.dot
@@ -1,17 +1,21 @@
  digraph "g" {
 "all_stopped" [ style=dashed color="red" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = dashed]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = dashed]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = dashed]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = dashed]
 "rsc1_stop_0 node1" [ style=dashed color="red" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = dashed]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = dashed]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = dashed]
 "rsc2_stop_0 node1" -> "rsc2_start_0 node2" [ style = dashed]
 "rsc2_stop_0 node1" [ style=dashed color="red" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = dashed]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"stonith-1_monitor_0 node2" -> "all_stopped" [ style = dashed]
 "stonith-1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-1.dot
@@ -1,5 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-1.exp
@@ -43,6 +43,9 @@
        <trigger>
         <rsc_op id="1" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
      </inputs>
    </synapse>
  </transition_graph>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-2.dot
@@ -1,6 +1,7 @@
  digraph "g" {
 "Cancel rsc1_monitor_1 node1" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-2.exp
@@ -56,6 +56,9 @@
        <trigger>
         <rsc_op id="2" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
      </inputs>
    </synapse>
  </transition_graph>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-5.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-5.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-5.dot
@@ -1,12 +1,14 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node1" -> "rsc1_start_0 node1" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node2" -> "rsc1_start_0 node1" [ style = bold]
 "rsc1_stop_0 node2" [ style=bold color="green" fontcolor="orange" ]
+"rsc2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -17,6 +19,7 @@ digraph "g" {
 "stonith 'reboot' node2" -> "rsc2_stop_0 node2" [ style = bold]
 "stonith 'reboot' node2" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' node2" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 node1" -> "stonith-1_start_0 node1" [ style = bold]
 "stonith-1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-5.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rec-rsc-5.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rec-rsc-5.exp
@@ -124,6 +124,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-fence-unclean-3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-fence-unclean-3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-fence-unclean-3.dot
@@ -1,34 +1,55 @@
 digraph "g" {
 "all_stopped" -> "fence1_start_0 overcloud-controller-0" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"fence1_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "fence1_monitor_0 overcloud-controller-0" -> "fence1_start_0 overcloud-controller-0" [ style = bold]
 "fence1_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"fence1_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "fence1_monitor_0 overcloud-controller-1" -> "fence1_start_0 overcloud-controller-0" [ style = bold]
 "fence1_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"fence1_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "fence1_monitor_0 overcloud-controller-2" -> "fence1_start_0 overcloud-controller-0" [ style = bold]
 "fence1_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
 "fence1_monitor_60000 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
 "fence1_start_0 overcloud-controller-0" -> "fence1_monitor_60000 overcloud-controller-0" [ style = bold]
 "fence1_start_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-1_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "galera-bundle-1_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-1_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "galera-bundle-1_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
 "overcloud-novacompute-0_stop_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "overcloud-novacompute-0_stop_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "redis-bundle-2_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "redis-bundle-2_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
 "stonith 'reboot' overcloud-novacompute-0" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' overcloud-novacompute-0" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-fence-unclean-3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-fence-unclean-3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-fence-unclean-3.exp
@@ -269,6 +269,69 @@
         <rsc_op id="30" operation="stop" operation_key="overcloud-novacompute-0_stop_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
       </trigger>
       <trigger>
+        <rsc_op id="43" operation="monitor" operation_key="fence1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="44" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="45" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="46" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="47" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="48" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="49" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="50" operation="monitor" operation_key="fence1_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="51" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="52" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="53" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="54" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="55" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="56" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="57" operation="monitor" operation_key="fence1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="58" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="59" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="60" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="61" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="62" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="63" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="227" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-probe-disable.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-probe-disable.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-probe-disable.dot
@@ -1,10 +1,14 @@
 digraph "g" {
+"FAKE1_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 remote1" -> "remote1_stop_0 18builder" [ style = bold]
 "FAKE1_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
+"FAKE2_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE2_monitor_0 remote1" -> "remote1_stop_0 18builder" [ style = bold]
 "FAKE2_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
+"FAKE3_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE3_monitor_0 remote1" -> "remote1_stop_0 18builder" [ style = bold]
 "FAKE3_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
+"FAKE4_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE4_monitor_0 remote1" -> "remote1_stop_0 18builder" [ style = bold]
 "FAKE4_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-probe-disable.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-probe-disable.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-probe-disable.exp
@@ -68,6 +68,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="FAKE1_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="FAKE2_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="FAKE3_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="FAKE4_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
         <rsc_op id="13" operation="stop" operation_key="remote1_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-recover-unknown.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-recover-unknown.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-recover-unknown.dot
@@ -13,6 +13,7 @@ digraph "g" {
 "galera-0_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
 "galera-2_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "galera-2_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
+"galera_monitor_0 galera-2" -> "all_stopped" [ style = dashed]
 "galera_monitor_0 galera-2" [ style=dashed color="red" fontcolor="black"]
 "galera_monitor_10000 galera-0" [ style=bold color="green" fontcolor="black"]
 "haproxy-clone_stop_0" -> "haproxy-clone_stopped_0" [ style = bold]
